Subject: CC-mode misaligns enums that implement an interface in Java

From: Paul Pogonyshev <[email-masked]>
Date: Thu, 26 Sep 2013 10:31:43 +0200

Since Java mode finally got some improvements recently, maybe someone can
solve this too. In Java, enumerations can implement interfaces. However,
CC-mode doesn't handle that well. Compare this indentation, for example:

public enum X
{
    A,
    B;
}

vs.

public enum X implements Y
{
    A,
        B;
}

Fontification of 'A' and 'B' also changes when I add 'implements' keyword.

Paul